# The MEME Suite

## Motif-based sequence analysis tools

## readseq

### Usage:

`readseq [options] <sequences file>`

### Description

Converts protein and DNA sequence formats.

This program was written by D. G. Gilbert of the Biology Department, Indiana University, Bloomington. As this is not an internally developed program some of this documentation may be incomplete or incorrect; we've had to read the source-code to try to discover what some options do.

### Input

#### Sequence File

A file containing DNA or protein sequences. See the -format option for a list of supported formats.

### Output

Writes sequences to standard output in the user specified format.

### Options

Unlike other programs included with the MEME Suite this program does not allow a gap between the option and the parameter. The gray parts of the option can be left out.

Option & Parameter | Description | Default Behaviour
--- | --- | ---
General Options
-all | Select all sequences. |
-caselower | Output sequences in lower case. | The letter case is not changed.
-CASEUPPER | Output sequences in upper case. | The letter case is not changed.
-degap=gap symbol | Remove gap symbols from sequences. When the '=' is not present the gap symbol defaults to '-'. | Gaps are left unchanged.
-item=list | Select only the sequences identified in the comma separated list. For example to select the second, third and fourth sequences you would specify -item=2,3,4 . |
-output=output file | Specify the name of the output file. | The output is written to standard output.
-pipe | The program reads sequence from standard input and stores them in a temporary file for processing. | The program reads the sequences from the input file.
-reverse | Change the sequences to their reverse complement. This option should only be used with DNA sequences. | The sequences are used as they are.
-verbose | The program prints out verbose information on progress to standard error. | The program only prints out important messages to standard error.
-format=Name or # | Choose the output format for the sequences. If you wish to use the name of the format then the '=' must be included, otherwise only numbers are accepted. To work with MEME Suite programs you should use -f8 or -format=fasta to set the output format.
in | out | # | Name | Alternate Name
--- | --- | --- | --- | ---
✔ | ✔ | 1 | ig | stanford
✔ | ✔ | 2 | genbank | gb
✔ | ✔ | 3 | nbrf |
✔ | ✔ | 4 | embl |
✔ | ✔ | 5 | gcg |
✔ | ✔ | 6 | dnastrider | strider
✔ | ✔ | 7 | fitch |
✔ | ✔ | 8 | pearson | fasta
✔ |  | 9 | zuker |
✔ |  | 10 | olsen |
in | out | # | Name | Alternate Name
--- | --- | --- | --- | ---
✔ | ✔ | 11 | phylip3.2 | phylip-sequential
✔ | ✔ |  | phylip3.3 |
✔ | ✔ |  | phylip3.4 | phylip-interleaved
✔ | ✔ | 12 | phylip |
✔ | ✔ | 13 | plain | raw
✔ | ✔ | 14 | pir | codata
✔ | ✔ | 15 | msf |
✔ | ✔ | 16 | asn.1 |
✔ | ✔ | 17 | paup | nexus
| ✔ | 18 | pretty |

Format Options for "pretty" output
-width=line width The sequence line width. The sequence line width is set to 50.
-tab=left indent The sequences in the output are indented by left indent spaces. The sequences in the output are not indented.
-colspace=space The column space within sequence line on output. The column space is set to 10.
-gapcount Count gap characters when calculating in sequence numbers. Gap characters are not counted.
-nameleft=expected width Display the name on the left side. If the expected width is not specified then it defaults to 8.
-nameright=expected width Display the name on right side. If the expected width is not specified then it defaults to 8.
-nametop Display the name at the top.
-numleft=expected width Display the sequence index on left side. If the expected width is not specified it defaults to 5.
-numright=expected width Display the sequence index on right side. If the expected width is not specified it defaults to 5.
-numtop Display the sequence index at the top.
-numbottom Display the sequence index at the bottom.
-match=match character Use match base for 2..n species. If the match character is not specified then it defaults to '.' .
-interline Include a blank line(s) between sequence blocks.